import { IContentChanged } from '../../InstanceServiceContainer.js';
import { IStylesheetService } from '../../stylesheetService/IStylesheetService.js';
import { ITransactionItem } from '../ITransactionItem.js';
export declare class StylesheetChangedAction implements ITransactionItem {
    private stylesheetService;
    constructor(stylesheetService: IStylesheetService, name: string, newValue: string, oldValue: string);
    title?: string;
    get affectedItems(): any[];
    undo(): IContentChanged[] | null;
    do(): IContentChanged[] | null;
    name: string;
    newValue: string;
    oldValue: string;
    mergeWith(other: ITransactionItem): boolean;
}
